package org.netkernel.mod.architecture.bits.staticstructure;

import org.netkernel.ext.system.representation.IRepDeployedModules;
import org.netkernel.ext.system.representation.impl.SpaceGraph;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.impl.HDSBuilder;

public interface IStaticStructureDiagramDecorator
{
	void initialise(IHDSNode aParams, IRepDeployedModules aModules, SpaceGraph aSpaceGraph, IHDSNode aSettings);
	
	boolean isLibrarySpace(String aSpaceHash);
	boolean showLibraries();
	boolean mergeLibraries();
	boolean showEdge(String aFromSpaceHash, String aToSpaceHash, int aDepth);
	boolean showModules();
	boolean shade();
	
	void decorateEdge(HDSBuilder aBuilder, GraphEdge aEdge);

}
