<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:atom="http://www.w3.org/2005/Atom">
	<xsl:output method="xml" />

	<xsl:template match="/atom:feed">
		<tbody>

		
		
		<xsl:for-each select="atom:entry[position()&lt;7]">
				
				<tr>
					<td class="template-icon-block">
						<a href="{atom:link/@href}" class="template-lbi-error news">
							<div style="display: table-row; ">
								<div style="float: left; display:table-cell; vertical-align:middle; ">
									<img width="48" border="0" height="48" style="margin-right: 0px; margin-left: 2px;">
										<xsl:choose>
											<xsl:when test="contains(atom:title,'Alert:') or contains(atom:title,'Important:')">
												<xsl:attribute name="src">/tools/introspect/pub/news-alert.png</xsl:attribute>
											</xsl:when>
											<xsl:when test="contains(atom:title,'New:') or contains(atom:title,'Announce:')">
												<xsl:attribute name="src">/tools/introspect/pub/news-announce.png</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="src">/tools/introspect/pub/news.png</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</img>
								</div>
								<div style="display:table-cell; vertical-align:middle; width: 100%;">
									<div style="float: right;">
										<xsl:value-of select="translate(substring(atom:published,0,11),'T',' ')" />
									</div>
									<p class="template-icon-title"><xsl:value-of select="atom:title" /></p>
									<table style="background: none;"><tr><td style="background: none;">
									<div style="max-height: 1.5em; overflow: hidden; overflow-y: scroll; ">
										<xsl:copy-of select="atom:content[@type='xhtml']/*[1]/*[text() or *]"/>
									</div>
									</td></tr></table>
								</div>
							</div>
						</a>
					</td>
				</tr>				
				
		</xsl:for-each>
		<tr><td style="float: right;">
			<input type="button" onClick="parent.location='http://www.netkernel.org/nk4um/forum/3/'" value="read more..."/>
		</td></tr>
		</tbody>
	</xsl:template>

</xsl:stylesheet>
